package com.ruoyi.system.mapper.other;

import com.ruoyi.system.domain.other.WsStoneApplication;
import com.ruoyi.system.domain.other.WsStoneApplicationExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WsStoneApplicationMapper {
    long countByExample(WsStoneApplicationExample example);

    int deleteByExample(WsStoneApplicationExample example);

    int deleteByPrimaryKey(String id);

    int insert(WsStoneApplication record);

    int insertSelective(WsStoneApplication record);

    List<WsStoneApplication> selectByExampleWithBLOBs(WsStoneApplicationExample example);

    List<WsStoneApplication> selectByExample(WsStoneApplicationExample example);

    WsStoneApplication selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") WsStoneApplication record, @Param("example") WsStoneApplicationExample example);

    int updateByExampleWithBLOBs(@Param("record") WsStoneApplication record, @Param("example") WsStoneApplicationExample example);

    int updateByExample(@Param("record") WsStoneApplication record, @Param("example") WsStoneApplicationExample example);

    int updateByPrimaryKeySelective(WsStoneApplication record);

    int updateByPrimaryKeyWithBLOBs(WsStoneApplication record);

    int updateByPrimaryKey(WsStoneApplication record);
}
